Bug 11490 - Expired OAuth tokens cause crash at start-up
: Expired OAuth tokens cause crash at start-up
Status: NEW
Product: Hermes
General
: unspecified
: N900 Maemo
: High major (vote)
: ---
Assigned To: Andrew Flegg
: general
:
:
:
:
  Show dependency tree
 
Reported: 2010-10-30 15:31 UTC by Ove Nordström
Modified: 2014-03-08 10:27 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ove Nordström (reporter) 2010-10-30 15:31:50 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. I install Hermes on my Nokia N900, but it don't starts
2. I have try this, if Hermes refuses to launch on your N900 e.g. after
flashing PR1.3, just apt-get install gnome-python.
3. I have also try to reinstall it, but same problem

EXPECTED OUTCOME:

ACTUAL OUTCOME:

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_4; en-US)
AppleWebKit/534.7 (KHTML, like Gecko) Chrome/7.0.517.41 Safari/534.7
Comment 1 accounts 2010-11-02 19:54:46 UTC
Hi this might be a duplicate of 11476. Please look at this bug and mark as
duplicate if i am correct
Comment 2 Andrew Flegg maemo.org 2010-11-02 20:04:32 UTC
It's impossible to tell without:

* Which version of Hermes is being used
* A log (see http://talk.maemo.org/showpost.php?p=849708&postcount=299 for
details)
Comment 3 Ove Nordström (reporter) 2010-11-03 17:09:28 UTC
I have version: 0.8.7

I run this: /opt/hermes/bin/hermes 1>MyDocs/hermes.log.txt 2>&1:
and got this:

oauth_token=c15e0017-63d4-475e-867e-e6ebf328c42b&oauth_token_secret=560674ba-2cd6-4ecb-9d0f-b73b7ab9e990&oauth_expires_in=0&oauth_authorization_expires_in=0
<?xml version="1.0" encoding="UTF-8"?>
<hash>
  <error>Invalid / expired Token</error>
  <request>/oauth/access_token</request>
</hash>

Traceback (most recent call last):
  File "/opt/hermes/bin/hermes", line 20, in <module>
    org.maemo.hermes.engine.twitter.provider.Provider(),
  File "/opt/hermes/lib/org/maemo/hermes/engine/twitter/provider.py", line 16,
in __init__
    OAuthProvider.__init__(self)
  File "/opt/hermes/lib/org/maemo/hermes/engine/provider_oauth.py", line 43, in
__init__
    self.access_token = self._get_access_token_from_gconf()
  File "/opt/hermes/lib/org/maemo/hermes/engine/provider_oauth.py", line 181,
in _get_access_token_from_gconf
    return oauth.OAuthToken.from_string(token_str)
  File "/opt/hermes/lib/oauth/oauth.py", line 142, in from_string
    key = params['oauth_token'][0]
KeyError: 'oauth_token'


(In reply to comment #2)
> It's impossible to tell without:
> 
> * Which version of Hermes is being used
> * A log (see http://talk.maemo.org/showpost.php?p=849708&postcount=299 for
> details)
>
Comment 4 Ove Nordström (reporter) 2010-11-03 17:16:46 UTC
No don't think so,I have try this, if Hermes refuses to launch on your N900
e.g. after
flashing PR1.3, just apt-get install gnome-python.
I got this: gnome-pythonis already the newest version

(In reply to comment #1)
> Hi this might be a duplicate of 11476. Please look at this bug and mark as
> duplicate if i am correct
>